Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.api.monitor
Interface Statistics

All Known Implementing Classes:
  RepositoryStatistics.Statistics

    public interface Statistics

The immutable statistics for a sample of values. The statistics include the `minimum`, `maximum`, `mean (average)`, `variance` and `standard deviation`.

The median value is not included in these statistics, since the median value cannot be rolled up given a series of statistics without having the original values. It is possible to compute the weighted median, but this loses effectiveness/value the more times it is rolled up.

Since:
  3.0

Method Summary
`int` | `getCount()` Get the number of samples to which these statistics apply.
`long` | `getMaximum()` Get the maximum of the sampled values.
`double` | `getMean()` The mean (or average) of the sampled values.
`long` | `getMinimum()` Get the minimum of the sampled values.
`double` | `getStandardDeviation()` Get the standard deviation of the sampled values, which is a measure of how spread out the numbers are and is the square root of the `variance`.
`double` | `getVariance()` Get the variance of the sampled values, which is the average of the squared differences from the `mean`.

Method Detail

### getCount

    int getCount()

  Get the number of samples to which these statistics apply.

  Returns:
    the number of samples; never negative

### getMaximum

    long getMaximum()

  Get the maximum of the sampled values.

  Returns:
    the maximum value

### getMinimum

    long getMinimum()

  Get the minimum of the sampled values.

  Returns:
    the minimum value

### getMean

    double getMean()

  The mean (or average) of the sampled values. This is returned as a double to reduce the lost of precision.

  Returns:
    the mean or average value

### getVariance

    double getVariance()

  Get the variance of the sampled values, which is the average of the squared differences from the `mean`.

  Returns:
    the variance; never negative

### getStandardDeviation

    double getStandardDeviation()

  Get the standard deviation of the sampled values, which is a measure of how spread out the numbers are and is the square root of the `variance`.

  Returns:
    the standard deviation; never negative

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.